# Auth

> Source: https://elaichi.ai/docs/api-reference/auth/

Base URL: `https://api.truto.one/unified/`

Set the `integrated_account_id` query parameter on every request to scope it to a specific connection.

## Resources

- [Auth](/docs/api-reference/auth/auth)
  - [GET /auth/providers](/docs/api-reference/auth/auth/getauthproviders) — List configured social auth providers
  - [GET /auth/sso/{provider}](/docs/api-reference/auth/auth/startsocialsso) — Start social login
  - [GET /auth/sso/{provider}/callback](/docs/api-reference/auth/auth/socialssocallback) — Social OAuth callback
  - [POST /auth/logout](/docs/api-reference/auth/auth/logout) — Log out
  - [POST /auth/signup](/docs/api-reference/auth/auth/signup) — Passwordless public registration
  - [POST /auth/signup/resend](/docs/api-reference/auth/auth/signupresend) — Resend signup activation email
  - [GET /auth/signup/activate](/docs/api-reference/auth/auth/signupactivate) — Activate signup from emailed link
  - [POST /auth/magic-link](/docs/api-reference/auth/auth/requestmagiclink) — Request magic-link login email
  - [GET /auth/magic-link/verify](/docs/api-reference/auth/auth/verifymagiclink) — Verify magic-link token
  - [POST /auth/mfa/verify](/docs/api-reference/auth/auth/verifymfa) — Complete MFA challenge for mfa_pending session
  - [GET /auth/invite/activate](/docs/api-reference/auth/auth/activateinvite) — Activate invite from emailed link
  - [GET /auth/oidc/resolve](/docs/api-reference/auth/auth/resolveoidc) — Resolve email to SSO login URL
  - [GET /auth/oidc/{connectionId}/login](/docs/api-reference/auth/auth/oidclogin) — Start OIDC login
  - [GET /auth/oidc/{connectionId}/callback](/docs/api-reference/auth/auth/oidccallback) — OIDC callback
  - [GET /auth/saml/{connectionId}/login](/docs/api-reference/auth/auth/samllogin) — Start SAML login
  - [POST /auth/saml/{connectionId}/acs](/docs/api-reference/auth/auth/samlacs) — SAML ACS (HTTP-POST)
  - [GET /auth/saml/{connectionId}/metadata](/docs/api-reference/auth/auth/samlmetadata) — SAML SP metadata
  - [POST /auth/step-up/options](/docs/api-reference/auth/auth/stepupoptions) — Begin step-up reauthentication
  - [POST /auth/step-up/verify](/docs/api-reference/auth/auth/stepupverify) — Verify step-up challenge
  - [POST /auth/passkey/registration/options](/docs/api-reference/auth/auth/passkeyregistrationoptions) — Passkey registration options
  - [POST /auth/passkey/registration/verify](/docs/api-reference/auth/auth/passkeyregistrationverify) — Verify passkey registration
  - [GET /auth/passkey](/docs/api-reference/auth/auth/listpasskeys) — List passkeys
  - [PATCH /auth/passkey/{id}](/docs/api-reference/auth/auth/renamepasskey) — Rename passkey
  - [DELETE /auth/passkey/{id}](/docs/api-reference/auth/auth/deletepasskey) — Delete passkey
  - [POST /auth/passkey/authentication/options](/docs/api-reference/auth/auth/passkeyauthenticationoptions) — Passkey authentication options (public)
  - [POST /auth/passkey/authentication/verify](/docs/api-reference/auth/auth/passkeyauthenticationverify) — Verify passkey authentication
